/*
 * $Id: DBException.java,v 1.8 2007/10/30 13:40:57 marbobo Exp $
 *
 * Copyright (c) Siemens AG 2008 
 *           (c) Universität Paderborn 2008 
 * Licensed under EUPL 1.1. 
 *
 * $Log: DBException.java,v $
 * Revision 1.8  2007/10/30 13:40:57  marbobo
 * + removed unnecessary statements
 *
 * Revision 1.7  2004/07/20 08:25:43  jonyp
 * added copyright info + cvs log
 *
 */
package vkc.exception;

/**
 * Exception-Klasse die beim Abfragen von Zugriffrechten verwendet werden soll
 * <p>
 * </p>
 * 
 * @author jonyP
 */
public class DBException extends Exception {
    DBException() {
    }

    public DBException(Exception e) {
        super(e);
    }

    public DBException(String cause) {
        super(cause);
    }

    public String getMessage() {
        if (getCause() != null) {
            return getCause().getMessage();
        }

        return super.getMessage();
    }

    public String toString() {
        if (getCause() != null) {
            return getCause().toString();
        }

        return super.toString();
    }
}